Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.util
Class NamedValue

    java.lang.Object
      com.plumtree.remote.util.NamedValue

public class NamedValue
extends java.lang.Object

JavaBean representing the `NamedValue` data type.

Constructor Summary
`NamedValue()` Default constructor.
`NamedValue(java.lang.String name, java.lang.String value)` Valued constructor.

Method Summary
`java.lang.String` | `getName()` Gets the value of `Name`.
`java.lang.String` | `getValue()` Gets the value of `Value`.
`void` | `setName(java.lang.String name)` Sets the value of `Name`.
`void` | `setValue(java.lang.String value)` Sets the value of `Value`.
`java.lang.String` | `toString()` Returns a human-readable string for debugging.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedValue

    public NamedValue()

  Default constructor.

### NamedValue

    public NamedValue(java.lang.String name,
                      java.lang.String value)

  Valued constructor.

Method Detail

### getName

    public java.lang.String getName()

  Gets the value of `Name`. Note that the Name will always be uppercased by the portal.

  Returns:
    value of `Name`

### setName

    public void setName(java.lang.String name)

  Sets the value of `Name`. Note that the Name will always be uppercased by the portal.

  Parameters:
    `name` - value to assign to `Name`

### getValue

    public java.lang.String getValue()

  Gets the value of `Value`.

  Returns:
    value of `Value`

### setValue

    public void setValue(java.lang.String value)

  Sets the value of `Value`.

### toString

    public java.lang.String toString()

  Returns a human-readable string for debugging.

  Returns:
    string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.